public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Akinori Hattori" <hattya@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-scheme/stklos/, dev-scheme/stklos/files/
Date: Wed, 27 Sep 2023 13:42:52 +0000 (UTC)	[thread overview]
Message-ID: <1695822137.69ee0e0e5b6b36e9a826fa1bc866178719eeb33d.hattya@gentoo> (raw)

commit:     69ee0e0e5b6b36e9a826fa1bc866178719eeb33d
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 27 13:41:09 2023 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Wed Sep 27 13:42:17 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69ee0e0e

dev-scheme/stklos: new upstream release

Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>

 dev-scheme/stklos/Manifest                       |   1 +
 dev-scheme/stklos/files/stklos-2.00-gentoo.patch | 153 +++++++++++++++++++++++
 dev-scheme/stklos/stklos-2.00.ebuild             |  58 +++++++++
 3 files changed, 212 insertions(+)

diff --git a/dev-scheme/stklos/Manifest b/dev-scheme/stklos/Manifest
index d2bff207e1e5..c9c0d75a26cd 100644
--- a/dev-scheme/stklos/Manifest
+++ b/dev-scheme/stklos/Manifest
@@ -1 +1,2 @@
 DIST stklos-1.70.tar.gz 8767615 BLAKE2B 7cae5b5d0c9b2d9dcccc47e78e70a562f2d1751de068668777441d29ee15be7f3c5c285b8297e367311cd8c9695c9a2d083ad7ea1d9c21c838cf1d819f7cb82c SHA512 64da09171b191688f750f10c29f10cd7393f326555d4324344faeac63547a2548407490e44a50f0afa348487bd9cc5106f3c344cab6935f3a3516b3c064a596f
+DIST stklos-2.00.tar.gz 9661074 BLAKE2B c43918f182e8502d5ea4dd0a2d42ea4e788a573ca1184d4e3af792f3932b7a626280110c30bffa9771d73ed7fdc2a29db19bcd7ce8d5a219c1c0b9ef19195c6d SHA512 b98ad62713cb5e85d26378e73e2198d44676a0103c8e8444490cc555defc5b058652c514bdf3a27b0cc34c71b0b72d9f5fc440f260f6aa68064c5adda6571d5f

diff --git a/dev-scheme/stklos/files/stklos-2.00-gentoo.patch b/dev-scheme/stklos/files/stklos-2.00-gentoo.patch
new file mode 100644
index 000000000000..83c33b8f0b2a
--- /dev/null
+++ b/dev-scheme/stklos/files/stklos-2.00-gentoo.patch
@@ -0,0 +1,153 @@
+--- a/configure.ac
++++ b/configure.ac
+@@ -143,28 +143,10 @@
+    htmldir="${docdir}/html"
+ fi
+ 
+-# Manage standard options --libdir and --datadir
+-# If the user doesn't specify these option, we fix
+-#   libdir to ${prefix}/lib/
+-#   datadir to ${prefix}/share
+-# Otherwise, we take the user provided values.
+-#
+-# In any case, we will place our files in the stklos/${VERSION} subdir
+-
+-if test "$LIBDIR" == ""  ; then
+-   # user has not given a "--libdir" option. Use ${prefix}/lib/stklos/${VERSION}
+-   libdir="${prefix}/lib/${PACKAGE_TARNAME}/${VERSION}"
+-fi
+-
+-if test "$DATADIR" == ""  ; then
+-   # user has not given a "--datadir" option. Use ${prefix}/share/stklos/${VERSION}
+-   datadir="${prefix}/share/${PACKAGE_TARNAME}/${VERSION}"
+-fi
+-
+ ### Initialize the extra conf file in src
+ PREFIX=$prefix
+-SCMDIR=$datadir
+-EXECDIR=$libdir
++SCMDIR="${datadir}/${PACKAGE_TARNAME}/${VERSION}"
++EXECDIR="${libdir}/${PACKAGE_TARNAME}/${VERSION}"
+ 
+ 
+ ### Determine the kind of the machine which is running this script
+--- a/lib/Lalr.d/Makefile.am
++++ b/lib/Lalr.d/Makefile.am
+@@ -33,8 +33,8 @@
+ all: lalr.ostk calc
+ 
+ install-sources: install
+-	mkdir -p $(schemedir)
+-	cp lalr.stk $(DESTDIR)/$(schemedir)
++	mkdir -p $(DESTDIR)$(schemedir)
++	cp lalr.stk $(DESTDIR)$(schemedir)
+ 
+ uninstall-hook:
+ 	rm  -f $(DESTDIR)/$(schemedir)/lalr.stk
+--- a/lib/Makefile.am
++++ b/lib/Makefile.am
+@@ -174,7 +174,7 @@
+ 	@for i in $(SUBDIRS) ;do \
+ 	   (cd $$i; $(MAKE) install-sources)\
+ 	done
+-	cp $(SRC_STK) $(scheme_BOOT) $(DESTDIR)/$(schemedir)
++	cp $(SRC_STK) $(scheme_BOOT) $(DESTDIR)$(schemedir)
+ 
+ 
+ # Explicit some dependencies here
+--- a/lib/SILex.d/Makefile.am
++++ b/lib/SILex.d/Makefile.am
+@@ -25,8 +25,8 @@
+ SRC= silex.scm multilex.scm
+ 
+ install-sources:
+-	mkdir -p  $(DESTDIR)/$(schemedir)
+-	cp $(SRC) $(DESTDIR)/$(schemedir)
++	mkdir -p  $(DESTDIR)$(schemedir)
++	cp $(SRC) $(DESTDIR)$(schemedir)
+ 
+ 
+ uninstall-hook:
+--- a/lib/scheme/Makefile.am
++++ b/lib/scheme/Makefile.am
+@@ -189,7 +189,7 @@
+ 	@for i in $(SUBDIRS) ;do \
+ 	   (cd $$i; $(MAKE) install-sources)\
+ 	done
+-	cp $(scheme_sources) $(schemedir)
++	cp $(scheme_sources) $(DESTDIR)$(schemedir)
+ 
+ clean:
+ 	(cd vector; $(MAKE) clean)
+--- a/lib/scheme/vector/Makefile.am
++++ b/lib/scheme/vector/Makefile.am
+@@ -130,8 +130,8 @@
+ #======================================================================
+ 
+ install-sources:
+-	mkdir -p $(srfidir)
+-	cp $(srfi_sources) $(srfi_interm) $(srfidir)
++	mkdir -p $(DESTDIR)$(srfidir)
++	cp $(srfi_sources) $(srfi_interm) $(DESTDIR)$(srfidir)
+ 
+ # we also clean the TAG.stk files -- $(srfi-interm) --, which are NOT
+ # srfi_OBJS (should not be installed with other objects):
+--- a/lib/srfi/160/Makefile.am
++++ b/lib/srfi/160/Makefile.am
+@@ -140,8 +140,8 @@
+ #======================================================================
+ 
+ install-sources:
+-	mkdir -p $(srfidir)
+-	cp $(srfi_sources) $(srfidir)
++	mkdir -p $(DESTDIR)$(srfidir)
++	cp $(srfi_sources) $(DESTDIR)$(srfidir)
+ 
+ clean:
+ 	rm -f $(srfi_OBJS) *-incl.c *~
+--- a/lib/srfi/Makefile.am
++++ b/lib/srfi/Makefile.am
+@@ -383,7 +383,7 @@
+ 	@for i in $(SUBDIRS) ;do \
+ 	   (cd $$i; $(MAKE) install-sources)\
+ 	done
+-	cp $(srfi_sources) $(srfidir)
++	cp $(srfi_sources) $(DESTDIR)$(srfidir)
+ 
+ clean:
+ 	rm -f $(srfi_OBJS) *-incl.c *~
+--- a/lib/stklos/Makefile.am
++++ b/lib/stklos/Makefile.am
+@@ -75,7 +75,7 @@
+ 
+ # ======================================================================
+ install-sources:
+-	cp $(scheme_sources) $(schemedir)
++	cp $(scheme_sources) $(DESTDIR)$(schemedir)
+ 
+ clean:
+ 	rm -f $(ALL_OBJS) *-incl.c  *~
+--- a/lib/streams/Makefile.am
++++ b/lib/streams/Makefile.am
+@@ -75,7 +75,7 @@
+ 
+ # ======================================================================
+ install-sources:
+-	install $(scheme_sources) $(schemedir)
++	install $(scheme_sources) $(DESTDIR)$(schemedir)
+ 
+ clean:
+ 	rm -f $(ALL_OBJS) *-incl.c  *~
+--- a/src/Makefile.am
++++ b/src/Makefile.am
+@@ -110,8 +110,8 @@
+ 
+ 
+ install-exec-hook:
+-	mv $(bindir)/stklos $(bindir)/stklos-@VERSION@
+-	ln -s stklos-@VERSION@ $(bindir)/stklos
++	mv $(DESTDIR)$(bindir)/stklos $(DESTDIR)$(bindir)/stklos-@VERSION@
++	ln -s stklos-@VERSION@ $(DESTDIR)$(bindir)/stklos
+ 
+ 
+ doc:  $(DOCDB)

diff --git a/dev-scheme/stklos/stklos-2.00.ebuild b/dev-scheme/stklos/stklos-2.00.ebuild
new file mode 100644
index 000000000000..fad97e515254
--- /dev/null
+++ b/dev-scheme/stklos/stklos-2.00.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit autotools toolchain-funcs
+
+DESCRIPTION="Fast and light Scheme implementation"
+HOMEPAGE="https://stklos.net/"
+SRC_URI="https://${PN}.net/download/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="threads"
+
+RDEPEND="dev-libs/boehm-gc[threads?]
+	dev-libs/gmp:=
+	dev-libs/libffi:=
+	dev-libs/libpcre2:="
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
+DOCS=( AUTHORS ChangeLog NEWS.md PACKAGES-USED {PORTING-NOTES,README}.md SUPPORTED-SRFIS )
+
+src_prepare() {
+	default
+
+	if ! use threads; then
+		sed -i '/threads.adoc/d' doc/refman/${PN}.adoc
+		rm -f tests/srfis/2{16,30}.stk
+	fi
+	eautoreconf
+	export LD="$(tc-getCC)"
+	export STKLOS_CONFDIR="${T}"/.config/${PN}
+}
+
+src_configure() {
+	econf \
+		--enable-threads=$(usex threads pthreads none) \
+		--without-provided-bignum \
+		--without-provided-ffi \
+		--without-provided-gc \
+		--without-provided-regexp
+}
+
+src_compile() {
+	emake
+}
+
+src_test() {
+	emake -j1 check
+}
+
+src_install() {
+	default
+	einstalldocs
+}


             reply	other threads:[~2023-09-27 13:42 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-27 13:42 Akinori Hattori [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-19  8:50 [gentoo-commits] repo/gentoo:master commit in: dev-scheme/stklos/, dev-scheme/stklos/files/ Akinori Hattori
2024-01-17 11:57 Akinori Hattori
2022-11-17 21:00 Sam James
2021-11-29 13:25 Akinori Hattori
2021-11-27  6:39 Akinori Hattori

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1695822137.69ee0e0e5b6b36e9a826fa1bc866178719eeb33d.hattya@gentoo \
    --to=hattya@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox